SDL_MouseButtonEvent Struct Reference

`#include <SDL_events.h>`

## Data Fields

Uint32 | type
Uint32 | timestamp
Uint32 | windowID
Uint32 | which
Uint8 | button
Uint8 | state
Uint8 | clicks
Uint8 | padding1
Sint32 | x
Sint32 | y

## Detailed Description

Mouse button event structure (event.button.*)

Definition at line 315 of file SDL_events.h.

## Field Documentation

## button

Uint8 SDL_MouseButtonEvent::button

The mouse button index

Definition at line 321 of file SDL_events.h.

## clicks

Uint8 SDL_MouseButtonEvent::clicks

1 for single-click, 2 for double-click, etc.

Definition at line 323 of file SDL_events.h.

## padding1

Uint8 SDL_MouseButtonEvent::padding1

Definition at line 324 of file SDL_events.h.

## state

Uint8 SDL_MouseButtonEvent::state

SDL_PRESSED or SDL_RELEASED

Definition at line 322 of file SDL_events.h.

## timestamp

Uint32 SDL_MouseButtonEvent::timestamp

In milliseconds, populated using SDL_GetTicks()

Definition at line 318 of file SDL_events.h.

## type

Uint32 SDL_MouseButtonEvent::type

SDL_MOUSEBUTTONDOWN or SDL_MOUSEBUTTONUP

Definition at line 317 of file SDL_events.h.

## which

Uint32 SDL_MouseButtonEvent::which

The mouse instance id, or SDL_TOUCH_MOUSEID

Definition at line 320 of file SDL_events.h.

## windowID

Uint32 SDL_MouseButtonEvent::windowID

The window with mouse focus, if any

Definition at line 319 of file SDL_events.h.

## x

Sint32 SDL_MouseButtonEvent::x

X coordinate, relative to window

Definition at line 325 of file SDL_events.h.

## y

Sint32 SDL_MouseButtonEvent::y

Y coordinate, relative to window

Definition at line 326 of file SDL_events.h.

The documentation for this struct was generated from the following file:

- SDL_events.h